local function open_MAIN_WINDOW() AGUI.newWindow({ x=32, y=16, width=803, height=320, name="MAIN_WINDOW", textAlign="top left", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.00, hasControls=false, }) 
AGUI.newButton({ x=576, y=256, width=96, height=48, name="WHISPER_BUTTON", parentGroup="MAIN_WINDOW", caption="/W", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newLog({ x=16, y=16, width=544, height=224, name="MAIN_WINDOW_LOG", parentGroup="MAIN_WINDOW", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, rows=3, }) 
AGUI.newList({ x=576, y=16, width=208, height=224, name="USER_LIST", parentGroup="MAIN_WINDOW", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, visibleLines=3, }) 
AGUI.newLabel({ x=688, y=256, width=96, height=48, name="LATENCY_LABEL", parentGroup="MAIN_WINDOW", caption="0000ms", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=464, y=256, width=96, height=48, name="SENDMESSAGE_BUTTON", parentGroup="MAIN_WINDOW", caption="/M", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, onRelease=function(e) sendMessage(e) end, }) 
AGUI.newButton({ x=352, y=256, width=96, height=48, name="JOIN_BUTTON", parentGroup="MAIN_WINDOW", caption="/J", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, onRelease=function(e) attemptJoin(e) end, }) 
AGUI.newButton({ x=240, y=256, width=96, height=48, name="LIST_CHANNELS_BUTTON", parentGroup="MAIN_WINDOW", caption="/CH", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, onRelease=function(e) listChannels(e) end, }) 
AGUI.newButton({ x=128, y=256, width=96, height=48, name="LIST_USERS_BUTTON", parentGroup="MAIN_WINDOW", caption="/U", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, onRelease=function(e) listUsers(e) end, }) 
AGUI.newButton({ x=16, y=256, width=96, height=48, name="DISCONNECT_BUTTON", parentGroup="MAIN_WINDOW", caption="/DC", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, onRelease=function(e) attemptDisconnect(e) end, }) 
end
local function open_LOGIN_WINDOW() AGUI.newWindow({ x=192, y=64, width=560, height=384, name="LOGIN_WINDOW", textAlign="top left", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.00, hasControls=false, }) 
AGUI.newButton({ x=16, y=320, width=256, height=48, name="LOGIN_BUTTON", parentGroup="LOGIN_WINDOW", caption="Login", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=288, y=112, width=256, height=48, name="RESET_PASSWORD_BUTTON", parentGroup="LOGIN_WINDOW", caption="Reset Password", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=288, y=48, width=256, height=48, name="TEXTINPUT_0007", parentGroup="LOGIN_WINDOW", caption="Password", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=48, width=256, height=48, name="USERNAME_INPUT", parentGroup="LOGIN_WINDOW", caption="UserName", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=288, y=320, width=256, height=48, name="CANCEL_BUTTON", parentGroup="LOGIN_WINDOW", caption="Cancel", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=16, y=112, width=256, height=48, name="NEW_USER_BUTTON", parentGroup="LOGIN_WINDOW", caption="Create New User", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newLog({ x=16, y=176, width=530, height=128, name="LOG_0010", parentGroup="LOGIN_WINDOW", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, rows=3, }) 
end
local function open_PASSWORD_RESET_WINDOW() AGUI.newWindow({ x=208, y=48, width=562, height=548, name="PASSWORD_RESET_WINDOW", textAlign="top left", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.00, hasControls=false, }) 
AGUI.newTextInput({ x=16, y=320, width=528, height=48, name="NEW_PASSWORD_INPUT", parentGroup="PASSWORD_RESET_WINDOW", caption="New Password", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=16, y=480, width=256, height=48, name="ATTEMPT_PASSWORD_RESET_BUTTON", parentGroup="PASSWORD_RESET_WINDOW", caption="Submit", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newLog({ x=16, y=16, width=528, height=160, name="LOG_0014", parentGroup="PASSWORD_RESET_WINDOW", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, rows=3, }) 
AGUI.newButton({ x=288, y=480, width=256, height=48, name="CANCEL_PASSWORD_RESET_BUTTON", parentGroup="PASSWORD_RESET_WINDOW", caption="Cancel", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=224, width=528, height=48, name="CONFIRMATION_CODE_INPUT", parentGroup="PASSWORD_RESET_WINDOW", caption="Confirmation Code", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=416, width=528, height=48, name="CONFIRM_PASSWORD_INPUT", parentGroup="PASSWORD_RESET_WINDOW", caption="Confirm Password", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
end
local function open_NEW_USER_WINDOW() AGUI.newWindow({ x=192, y=64, width=563, height=452, name="NEW_USER_WINDOW", textAlign="top left", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.00, hasControls=false, }) 
AGUI.newButton({ x=16, y=384, width=256, height=48, name="CREATE_NEW_USER_BUTTON", parentGroup="NEW_USER_WINDOW", caption="Create New User", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newLog({ x=16, y=208, width=528, height=160, name="LOG_0024", parentGroup="NEW_USER_WINDOW", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, rows=3, }) 
AGUI.newButton({ x=288, y=384, width=256, height=48, name="CANCEL_NEW_USER_BUTTON", parentGroup="NEW_USER_WINDOW", caption="Cancel", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=144, width=528, height=48, name="EMAIL_ADDRESS_INPUT", parentGroup="NEW_USER_WINDOW", caption="Valid EMail Address", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=48, width=528, height=48, name="NEW_USER_NAME_INPUT", parentGroup="NEW_USER_WINDOW", caption="New User Name", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
end
local function open_JOIN_CHANNEL_WINDOW() AGUI.newWindow({ x=240, y=64, width=432, height=274, name="JOIN_CHANNEL_WINDOW", textAlign="top left", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.00, hasControls=false, }) 
AGUI.newTextInput({ x=16, y=48, width=400, height=48, name="TEXTINPUT_0028", parentGroup="JOIN_CHANNEL_WINDOW", caption="Channel Name", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=224, y=208, width=192, height=48, name="CANCEL_JOIN_CHANNEL_BUTTON", parentGroup="JOIN_CHANNEL_WINDOW", caption="Cancel", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newTextInput({ x=16, y=144, width=400, height=48, name="CHANNEL_PASSWORD_INPUT", parentGroup="JOIN_CHANNEL_WINDOW", caption="Channel Password", textAlign="above", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
AGUI.newButton({ x=16, y=208, width=192, height=48, name="ATTEMPT_JOIN_CHANNEL_BUTTON", parentGroup="JOIN_CHANNEL_WINDOW", caption="Join", textAlign="middle", enabled=true, hidden=false, color=0xc0c0c0, alpha=1.00, textColor=0xeaebec, textAlpha=1.00, zIndex=0.50, }) 
end

