﻿Imports System.Windows.Forms

Public Class Dialog1

    Public alpha As Integer
    Public red As Integer
    Public green As Integer
    Public blue As Integer

    Public rgbString As String

    Private Sub Dialog1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        alphaSlider.Value = alpha
        redSlider.Value = red
        greenSlider.Value = green
        blueSlider.Value = blue

        Label6.Text = alpha.ToString
        Label7.Text = red.ToString
        Label8.Text = green.ToString
        Label9.Text = blue.ToString

        rgbString = ""

        setARGB()

    End Sub
    Private Sub setARGB()
        Dim rgb As Integer = (red << 16) + (green << 8) + blue
        Label1.Text = rgb.ToString("X6")
        Panel1.BackColor = Color.FromArgb(alpha, red, green, blue)
    End Sub
    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        rgbString = Label1.Text
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub alphaSlider_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles alphaSlider.Scroll
        alpha = alphaSlider.Value
        Label6.Text = alpha.ToString
        setARGB()
    End Sub

    Private Sub redSlider_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles redSlider.Scroll
        red = redSlider.Value
        Label7.Text = red.ToString
        setARGB()
    End Sub

    Private Sub greenSlider_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles greenSlider.Scroll
        green = greenSlider.Value
        Label8.Text = green.ToString
        setARGB()
    End Sub

    Private Sub blueSlider_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles blueSlider.Scroll
        blue = blueSlider.Value
        Label9.Text = blue.ToString
        setARGB()
    End Sub

End Class
