﻿Module Global_Vars

    Public Enum widgetType
        NONE
        WINDOW
        BUTTON
        CHECKBOX
        RADIOBUTTON
        TEXTVIEW
        PANEL
        LABEL
        LOG
        LIST
        TEXTINPUT
        HSCROLLBAR
        VSCROLLBAR
        IMAGE
    End Enum

    Public Enum textAlign
        TOP_LEFT
        TOP_CENTER
        TOP_RIGHT
        MIDDLE_LEFT
        MIDDLE
        MIDDLE_RIGHT
        BOTTOM_LEFT
        MIDDLE_BOTTOM
        BOTTOM_RIGHT
        LEFT
        RIGHT
        ABOVE
        BELOW
    End Enum

    Public Enum borderType
        NONE
        WINDOW
        BUTTON
        RAISED
        RECESSED
        LABEL
        HSCROLLBAR
        VSCROLLBAR
        CHECKBOX
        RADIOBUTTON
    End Enum

    Public Enum varType
        tSTRING
        tHEXSTRING
        tINTEGER
        tFLOAT
        tBOOL
        tFUNCTION
        tVARIABLE
    End Enum

    ' FOR CREATING UNIQUE IDENTIFIERS
    Public UID As Integer

    Public noImageImage As Image
    Public noImageBitmap As Bitmap

    Public atlasImage As Image
    Public atlasBitmap As Bitmap

    Public backdropImage As Image
    Public backdropBitmap As Bitmap

    Public guiFont As Font

    Public applicationDirectory As String
    Public currentDirectoryName As String

    Public shiftHeld As Boolean
    Public ctrlHeld As Boolean
    Public altHeld As Boolean

    Public snapToGrid As Boolean
    Public gridSizeX As Integer
    Public gridSizeY As Integer

    Public Class variable
        Public name As String
        Public type As Integer
        Public export As Boolean
    End Class

    Public variables As New List(Of variable)

    Public strBuilder As New System.Text.StringBuilder()

    Public singleLineMode As Boolean
    Public padOutput As Boolean
    Public padWidth As Integer
    Public tabWidth As Integer
    Public eol As String
    Public guiCall As String

End Module
