﻿Public Class TransparentPanel
    Inherits System.Windows.Forms.Control

    Public caption As String
    Public textAlign As Integer




    Protected Overrides ReadOnly Property CreateParams() As System.Windows.Forms.CreateParams
        Get
            Dim cp As CreateParams = MyBase.CreateParams
            cp.ExStyle = cp.ExStyle Or &H20  ' Turn on WS_EX_TRANSPARENT
            Return cp
        End Get
    End Property

    Public Overrides Property BackColor() As Color
        Get
            Return MyBase.BackColor
        End Get
        Set(ByVal value As Color)
            MyBase.BackColor = Color.Transparent
        End Set
    End Property

    Public Sub New(ByVal name As String, ByVal type As Integer)
        SetStyle(ControlStyles.AllPaintingInWmPaint, True)
        SetStyle(ControlStyles.UserPaint, True)
        SetStyle(ControlStyles.DoubleBuffer, False)

        BringToFront()



        Invalidate()



    End Sub



    Protected Overrides Sub OnPaintBackground(ByVal e As PaintEventArgs)
        MyBase.OnPaintBackground(e)
    End Sub

    Protected Overrides Sub OnPaint(ByVal e As PaintEventArgs)
        MyBase.OnPaint(e)

        ' '' GET OFFSET IN ATLAS 
        ''Dim bX As Integer = 0 ' BORDERTYPE.WINDOW IS AT 0,0
        ''Dim bY As Integer = 0
        ''Select Case mBorderType
        ''    Case borderType.BUTTON
        ''        bX = 192
        ''        bY = 0
        ''    Case borderType.RAISED
        ''        bX = 0
        ''        bY = 192
        ''    Case borderType.RECESSED
        ''        bX = 192
        ''        bY = 192
        ''    Case borderType.HSCROLLBAR
        ''        bX = 0
        ''        bY = wSize * 8
        ''    Case borderType.VSCROLLBAR
        ''        bX = wSize * 8
        ''        bY = wSize * -1
        ''End Select

        ''Dim sRect As New Rectangle(bX, bY, wSize, wSize)
        ''Dim dRect As New Rectangle(0, 0, wSize, wSize)
        'Dim g As Graphics = e.Graphics

        ' '' DRAW SINGLE IMAGE (SPECIAL CASES FOR RADIOBUTTONS AND CHECKBOXES)
        ''If Width = wSize And Height = wSize Then
        ''    Select Case mType
        ''        Case widgetType.CHECKBOX
        ''            If mToggleState = 0 Then
        ''                sRect.X = wSize * 0 ' UNCHECKED
        ''                sRect.Y = wSize * 9
        ''            Else
        ''                sRect.X = wSize * 1 ' CHECKED
        ''                sRect.Y = wSize * 9
        ''            End If
        ''        Case widgetType.RADIOBUTTON
        ''            If mToggleState = 0 Then
        ''                sRect.X = wSize * 8 ' UNCHECKED
        ''                sRect.Y = wSize * 3
        ''            Else
        ''                sRect.X = wSize * 9 ' CHECKED
        ''                sRect.Y = wSize * 3
        ''            End If
        ''    End Select
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''ElseIf Height = wSize Then
        ''    ' DRAW HORIZONTAL WIDGET, 1 TILE HIGH
        ''    sRect.X = bX + wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.X = bX + wSize * 3
        ''    dRect.X = Width - wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.X = bX + wSize * 2
        ''    dRect.X = wSize
        ''    dRect.Width = Width - wSize * 2
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''ElseIf Width = wSize Then
        ''    ' DRAW VERTICAL WIDGET, 1 TILE HIGH
        ''    sRect.Y = bY + wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.Y = bY + wSize * 3
        ''    dRect.Y = Height - wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.Y = bY + wSize * 2
        ''    dRect.Y = wSize
        ''    dRect.Height = Height - wSize * 2
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''Else
        ''    ' DRAW CORNERS
        ''    sRect.X = bX + wSize * 1 ' TOP LEFT
        ''    sRect.Y = bY + wSize * 1
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.X = bX + wSize * 3 ' TOP RIGHT
        ''    sRect.Y = bY + wSize * 1
        ''    dRect.X = Width - wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.X = bX + wSize * 1 ' BOTTOM LEFT
        ''    sRect.Y = bY + wSize * 3
        ''    dRect.X = 0
        ''    dRect.Y = Height - wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    sRect.X = bX + wSize * 3 ' BOTTOM RIGHT
        ''    dRect.X = Width - wSize
        ''    dRect.Y = Height - wSize
        ''    g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)

        ''    ' DRAW LEFT AND RIGHT BORDERS
        ''    If Width > wSize * 2 Then
        ''        sRect.X = bX + wSize * 1 ' LEFT
        ''        sRect.Y = bY + wSize * 2
        ''        dRect.X = 0
        ''        dRect.Y = wSize
        ''        dRect.Height = Height - wSize * 2
        ''        g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''        sRect.X = bX + wSize * 3 ' RIGHT
        ''        dRect.X = Width - wSize
        ''        g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''    End If

        ''    ' DRAW TOP AND BOTTOM BORDERS
        ''    If Height > wSize * 2 Then
        ''        sRect.X = bX + wSize * 2 ' TOP
        ''        sRect.Y = bY + wSize * 1
        ''        dRect.X = wSize
        ''        dRect.Y = 0
        ''        dRect.Width = Width - wSize * 2
        ''        dRect.Height = wSize
        ''        g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''        sRect.Y = bY + wSize * 3 ' BOTTOM
        ''        dRect.Y = Height - wSize
        ''        g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''    End If

        ''    ' DRAW MIDDLE BIT
        ''    If Width > wSize * 2 And Height > wSize * 2 Then
        ''        sRect.X = bX + wSize * 2 ' MIDDLE
        ''        sRect.Y = bY + wSize * 2
        ''        dRect.X = wSize
        ''        dRect.Y = wSize
        ''        dRect.Width = Width - wSize * 2
        ''        dRect.Height = Height - wSize * 2
        ''        g.DrawImage(atlasBitmap, dRect, sRect, GraphicsUnit.Pixel)
        ''    End If
        ''End If

        ' '' POSITION CAPTION
        ''If mCaption <> "" Then
        ''    Select Case mType
        ''        Case widgetType.CHECKBOX, widgetType.RADIOBUTTON, widgetType.BUTTON
        ''            ' POSITION FAKE LABEL THAT CAN APPEAR OUTSIDE PARENTS BOUNDS
        ''            ' positionFakeLabel(mLabel, Me)

        ''            Dim ss As New SizeF
        ''            ss = g.MeasureString(mCaption & ".", Me.Font)
        ''            Dim x, y As Single
        ''            Select Case mTextAlign
        ''                Case textAlign.TOP_LEFT
        ''                    x = Left + 5
        ''                    y = Top + 5
        ''                Case textAlign.TOP_CENTER
        ''                    x = CSng(Left + Width / 2 - ss.Width / 2)
        ''                    y = Top + 5
        ''                Case textAlign.TOP_RIGHT
        ''                    x = Width - 5 - ss.Width
        ''                    y = Top + 5
        ''                Case textAlign.MIDDLE_LEFT
        ''                    x = Left + 5
        ''                    y = CSng(Top + Height / 2 - ss.Height / 2)
        ''                Case textAlign.MIDDLE
        ''                    x = CSng(Left + Width / 2 - ss.Width / 2)
        ''                    y = CSng(Top + Height / 2 - ss.Height / 2)
        ''                Case textAlign.MIDDLE_RIGHT
        ''                    x = Width - 5 - ss.Width
        ''                    y = CSng(Top + Height / 2 - ss.Height / 2)
        ''                Case textAlign.BOTTOM_LEFT
        ''                    x = Left + 5
        ''                    y = CSng(Top + Height - 5 - ss.Height)
        ''                Case textAlign.MIDDLE_BOTTOM
        ''                    x = CSng(Left + Width / 2 - ss.Width / 2)
        ''                    y = CSng(Top + Height - 5 - ss.Height)
        ''                Case textAlign.BOTTOM_RIGHT
        ''                    x = Width - 5 - ss.Width
        ''                    y = CSng(Top + Height - 5 - ss.Height)

        ''                Case textAlign.LEFT
        ''                    x = Left - 5 - ss.Width
        ''                    y = CSng(Top + Height / 2 - ss.Height / 2)
        ''                Case textAlign.RIGHT
        ''                    x = Left + Width + 5
        ''                    y = CSng(Top + Height / 2 - ss.Height / 2)
        ''                Case textAlign.ABOVE
        ''                    x = CSng(Left + Width / 2 - ss.Width / 2)
        ''                    y = Top - 5 - ss.Height
        ''                Case textAlign.BELOW
        ''                    x = CSng(Left + Width / 2 - ss.Width / 2)
        ''                    y = Top + Height + 5
        ''            End Select
        ''            mLabel.Text = mCaption
        ''            mLabel.Left = CInt(x)
        ''            mLabel.Top = CInt(y)
        ''            mLabel.Width = CInt(ss.Width)
        ''            mLabel.BringToFront()



        ''            '    Case Else
        ''            '        ' POSITION NORMAL CAPTION
        'Dim x, y As Single
        'Dim brush As New SolidBrush(Color.White)
        'Dim stringSize As New SizeF
        'Dim stringFont As New Font("Arial", 16)
        'stringSize = e.Graphics.MeasureString(mCaption & ".", Me.Font)
        'Select Case textAlign
        '    Case textAlign.TOP_LEFT
        '        x = 5
        '        y = 5
        '    Case textAlign.TOP_CENTER
        '        x = CSng(Width / 2 - stringSize.Width / 2)
        '        y = 5
        '    Case textAlign.TOP_RIGHT
        '        x = Width - 5 - stringSize.Width
        '        y = 5
        '    Case textAlign.MIDDLE_LEFT
        '        x = 5
        '        y = CSng(Height / 2 - stringSize.Height / 2)
        '    Case textAlign.MIDDLE
        '        x = CSng(Width / 2 - stringSize.Width / 2)
        '        y = CSng(Height / 2 - stringSize.Height / 2)
        '    Case textAlign.MIDDLE_RIGHT
        '        x = Width - 5 - stringSize.Width
        '        y = CSng(Height / 2 - stringSize.Height / 2)
        '    Case textAlign.BOTTOM_LEFT
        '        x = 5
        '        y = CSng(Height - 5 - stringSize.Height)
        '    Case textAlign.MIDDLE_BOTTOM
        '        x = CSng(Width / 2 - stringSize.Width / 2)
        '        y = CSng(Height - 5 - stringSize.Height)
        '    Case textAlign.BOTTOM_RIGHT
        '        x = Width - 5 - stringSize.Width
        '        y = CSng(Height - 5 - stringSize.Height)
        '    Case textAlign.LEFT
        '        x = -5 - stringSize.Width
        '        y = CSng(Height / 2 - stringSize.Height / 2)
        '    Case textAlign.RIGHT
        '        x = Width + 5
        '        y = CSng(Height / 2 - stringSize.Height / 2)
        '    Case textAlign.ABOVE
        '        x = CSng(Width / 2 - stringSize.Width / 2)
        '        y = -5 - stringSize.Width
        '    Case textAlign.BELOW
        '        x = CSng(Width / 2 - stringSize.Width / 2)
        '        y = Height + 5 + stringSize.Width
        'End Select
        'e.Graphics.DrawString(mCaption, Me.Font, brush, x, y)
        ''    End Select
        'End If
    End Sub
    '' POSITION FAKE CAPTION THAT CAN APPEAR OUTSIDE ITS PARENTS BOUNDS
    'Private Sub positionFakeLabel(ByVal l As Label, ByVal w As Widget)
    '    Dim ss As New SizeF
    '    Dim g As Graphics = w.CreateGraphics()
    '    ss = g.MeasureString(w.mCaption & ".", Me.Font)
    '    Dim x, y As Single
    '    Select Case w.mTextAlign
    '        Case textAlign.LEFT
    '            x = w.Left - 5 - ss.Width
    '            y = CSng(w.Top + w.Height / 2 - ss.Height / 2)
    '        Case textAlign.RIGHT
    '            x = w.Left + w.Width + 5
    '            y = CSng(w.Top + w.Height / 2 - ss.Height / 2)
    '        Case textAlign.ABOVE
    '            x = CSng(w.Left + w.Width / 2 - ss.Width / 2)
    '            y = w.Top - 5 - ss.Height
    '        Case textAlign.BELOW
    '            x = CSng(w.Left + w.Width / 2 - ss.Width / 2)
    '            y = w.Top + w.Height + 5
    '    End Select
    '    l.Text = w.mCaption
    '    l.Left = CInt(x)
    '    l.Top = CInt(y)
    '    l.Width = CInt(ss.Width)
    'End Sub


End Class
