local function open_MAIN_WINDOW()
  GUI.newWindow({
    x               = 35,
    y               = 41,
    w               = 640,
    h               = 480,
    name            = "MAIN_WINDOW",
    textAlign       = "top left",
    textColor       = "0xC052C0",
    textAlpha       = 1.0,
    color           = "0xE99949",
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "window",
    hasControls     = false,
    textAlign       = "top left",
  })
  GUI.newTextInput({
    x               = 319,
    y               = 220,
    w               = 295,
    h               = 48,
    name            = "TEXTINPUT",
    parentGroup     = "MAIN_WINDOW",
    caption         = "TextInput",
    textAlign       = "middle left",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "recessed",
    inputType       = "text",
    onTextChanged   = function(e) textWasChanged(e) end,
  })
  GUI.newImage({
    x               = 66,
    y               = 33,
    w               = 252,
    h               = 102,
    name            = "IMAGE_0001",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 1.0,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 1.0,
    enabled         = true,
    hidden          = false,
    borderType      = "none",
  })
  GUI.newCheckBox({
    x               = 569,
    y               = 357,
    w               = 48,
    h               = 48,
    name            = "CHECKBOX",
    parentGroup     = "MAIN_WINDOW",
    caption         = "CheckBox",
    textAlign       = "left",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "raised",
    toggleState     = false,
    toggleGroup     = "CHECK_GROUP",
    onStateChanged  = function(e) CheckStateChanged(e) end,
  })
  GUI.newRadioButton({
    x               = 572,
    y               = 418,
    w               = 48,
    h               = 48,
    name            = "RADIOBUTTON",
    parentGroup     = "MAIN_WINDOW",
    caption         = "RadioButton",
    textAlign       = "left",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "raised",
    toggleState     = true,
    toggleGroup     = "RADIO_GROUP",
    onStateChanged  = function(e) RadioStateChanged(e) end,
  })
  GUI.newHScrollBar({
    x               = 308,
    y               = 290,
    w               = 144,
    h               = 48,
    name            = "HSCROLLBAR",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "hscrollbar",
    min             = 0,
    max             = 0,
    steps           = 0,
    value           = 0,
  })
  GUI.newVScrollBar({
    x               = 348,
    y               = 334,
    w               = 48,
    h               = 144,
    name            = "VSCROLLBAR",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "vscrollbar",
    min             = 0,
    max             = 100,
    steps           = 100,
    value           = 25,
  })
  GUI.newList({
    x               = 457,
    y               = 4,
    w               = 148,
    h               = 97,
    name            = "LIST",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textColor       = "0xF0FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "recessed",
    visibleLines    = 3,
  })
  GUI.newText({
    x               = 491,
    y               = 116,
    w               = 144,
    h               = 98,
    name            = "TEXT",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "recessed",
    visibleLines    = 3,
  })
  GUI.newLabel({
    x               = 469,
    y               = 285,
    w               = 161,
    h               = 48,
    name            = "LABEL",
    parentGroup     = "MAIN_WINDOW",
    caption         = "Label",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "raised",
  })
  GUI.newLog({
    x               = 20,
    y               = 366,
    w               = 96,
    h               = 96,
    name            = "LOG",
    parentGroup     = "MAIN_WINDOW",
    caption         = "Log",
    textAlign       = "above",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "recessed",
    rows            = 3,
  })
  GUI.newButton({
    x               = 36,
    y               = 230,
    w               = 168,
    h               = 48,
    name            = "BUTTON",
    parentGroup     = "MAIN_WINDOW",
    caption         = "Button",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.5,
    enabled         = true,
    hidden          = false,
    borderType      = "button",
  })
  GUI.newBorder({
    x               = 148,
    y               = 360,
    w               = 140,
    h               = 99,
    name            = "BORDER",
    parentGroup     = "MAIN_WINDOW",
    textAlign       = "middle",
    textColor       = "0xF5FAFF",
    textAlpha       = 1.0,
    alpha           = 1.0,
    zIndex          = 0.1,
    enabled         = true,
    hidden          = false,
    scaleX          = 1,
    scaleY          = 1,
    zIndex          = 0.1,
    enabled         = true,
    hidden          = false,
    borderType      = "recessed",
  })
end

